<?php
/**
 * File for class InventoryServiceAddon
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryServiceAddon originally named Addon
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryServiceAddon extends InventoryWsdlClass
{
    /**
     * Method to call the operation originally named AddonGroupsList
     * @uses InventoryWsdlClass::getSoapClient()
     * @uses InventoryWsdlClass::setResult()
     * @uses InventoryWsdlClass::saveLastError()
     * @param InventoryStructAddonGroupsList $_inventoryStructAddonGroupsList
     * @return InventoryStructAddonGroupsListResponse
     */
    public function AddonGroupsList(InventoryStructAddonGroupsList $_inventoryStructAddonGroupsList)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->AddonGroupsList($_inventoryStructAddonGroupsList));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see InventoryWsdlClass::getResult()
     * @return InventoryStructAddonGroupsListResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
