<?php
/**
 * File for class InventoryServiceAddons
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryServiceAddons originally named Addons
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryServiceAddons extends InventoryWsdlClass
{
    /**
     * Method to call the operation originally named AddonsList
     * @uses InventoryWsdlClass::getSoapClient()
     * @uses InventoryWsdlClass::setResult()
     * @uses InventoryWsdlClass::saveLastError()
     * @param InventoryStructAddonsList $_inventoryStructAddonsList
     * @return InventoryStructAddonsListResponse
     */
    public function AddonsList(InventoryStructAddonsList $_inventoryStructAddonsList)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->AddonsList($_inventoryStructAddonsList));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see InventoryWsdlClass::getResult()
     * @return InventoryStructAddonsListResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
