<?php
/**
 * File for class InventoryServiceServers
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
/**
 * This class stands for InventoryServiceServers originally named Servers
 * @package Inventory
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
class InventoryServiceServers extends InventoryWsdlClass
{
    /**
     * Method to call the operation originally named ServersList
     * @uses InventoryWsdlClass::getSoapClient()
     * @uses InventoryWsdlClass::setResult()
     * @uses InventoryWsdlClass::saveLastError()
     * @param InventoryStructServersList $_inventoryStructServersList
     * @return InventoryStructServersListResponse
     */
    public function ServersList()
    {
        try
        {
            return $this->setResult(self::getSoapClient()->ServersList());
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see InventoryWsdlClass::getResult()
     * @return InventoryStructServersListResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
