<?php
/**
 * Test with Inventory for 'http://api.reliablesite.net/inventory.svc?wsdl'
 * @package Inventory
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2016-11-07
 */
ini_set('memory_limit','512M');
ini_set('display_errors',true);
error_reporting(-1);
/**
 * Load autoload
 */
require_once dirname(__FILE__) . '/InventoryAutoload.php';
/**
 * Wsdl instanciation infos. By default, nothing has to be set.
 * If you wish to override the SoapClient's options, please refer to the sample below.
 * 
 * This is an associative array as:
 * - the key must be a InventoryWsdlClass constant beginning with WSDL_
 * - the value must be the corresponding key value
 * Each option matches the {@link http://www.php.net/manual/en/soapclient.soapclient.php} options
 * 
 * Here is below an example of how you can set the array:
 * $wsdl = array();
 * $wsdl[InventoryWsdlClass::WSDL_URL] = 'http://api.reliablesite.net/inventory.svc?wsdl';
 * $wsdl[InventoryWsdlClass::WSDL_CACHE_WSDL] = WSDL_CACHE_NONE;
 * $wsdl[InventoryWsdlClass::WSDL_TRACE] = true;
 * $wsdl[InventoryWsdlClass::WSDL_LOGIN] = 'myLogin';
 * $wsdl[InventoryWsdlClass::WSDL_PASSWD] = '**********';
 * etc....
 * Then instantiate the Service class as: 
 * - $wsdlObject = new InventoryWsdlClass($wsdl);
 */
/**
 * Examples
 */


/*************************************
 * Example for InventoryServiceServers
 */
$inventoryServiceServers = new InventoryServiceServers();
// sample call for InventoryServiceServers::ServersList()
if($inventoryServiceServers->ServersList())
    print_r($inventoryServiceServers->getResult());
else
    print_r($inventoryServiceServers->getLastError());

/***********************************
 * Example for InventoryServiceAddon
 */
$inventoryServiceAddon = new InventoryServiceAddon();
// sample call for InventoryServiceAddon::AddonGroupsList()
if($inventoryServiceAddon->AddonGroupsList(new InventoryStructAddonGroupsList(/*** update parameters list ***/)))
    print_r($inventoryServiceAddon->getResult());
else
    print_r($inventoryServiceAddon->getLastError());

/************************************
 * Example for InventoryServiceAddons
 */
$inventoryServiceAddons = new InventoryServiceAddons();
// sample call for InventoryServiceAddons::AddonsList()
if($inventoryServiceAddons->AddonsList(new InventoryStructAddonsList(/*** update parameters list ***/)))
    print_r($inventoryServiceAddons->getResult());
else
    print_r($inventoryServiceAddons->getLastError());
